View Issue Details

IDProjectCategoryView StatusLast Update
08554Bug reportsAccessibilitypublic2015-06-04 14:58
Reportermlhess Assigned Toc_schmitz  
PrioritynormalSeveritypartial_block 
Status closedResolutionfixed 
Fixed in Version2.05+ 
Summary08554: Hover over answers no longer showing value
DescriptionWhen I hovered over answer choices, it used to show the value of the answer
Steps To ReproduceI can provide Sam a survey dump file, but I would rather not post it in public.
TagsNo tags attached.
Complete LimeSurvey version number (& build)4fdc3362ac186dd12b156dc3ae8b
I will donate to the project if issue is resolvedNo
BrowserChrome and Firefox
Database & DB-Versionmysql
Server OS (if known)linux
Webserver software & version (if known)apache 2
PHP Versionphp 5.3

Relationships

related to 06698 closedDenisChenu All array question type have accessibility problem 
parent of 09660 closedDenisChenu Outdated title and broken title in Array question type 

Activities

mlhess

mlhess

2014-01-17 20:38

reporter  

c_schmitz

c_schmitz

2014-01-17 21:04

administrator   ~27972

Denis it looks like this title element was removed by you when fixing 06698
I think it is useful. DO you want me to add it back?
DenisChenu

DenisChenu

2014-01-18 10:37

developer   ~27982

Last edited: 2014-01-18 10:38

View 2 revisions

Maybe it's better if we add the title in td ?
Not sure what to do here, what is best for acessebility AND usability.

With JS : we can easily use label for title (usability), it can be done in survey.js somewhere.

BUT : we have to remove EM expression from title : if answer have EM inside : title can be broken.
If answer depend on question in same page then HTML default title can be outdated (without JS).

DenisChenu

DenisChenu

2014-01-18 10:46

developer   ~27983

PS: we can add title to 'fixed answer' aray, seems we don't add title in some aray before:
- https://github.com/LimeSurvey/LimeSurvey/commit/8cbcced3626651e053d367e9dbc14616aa3689c2#diff-0a1c35bae6575d450a01cc428fdc5c18L5814
- https://github.com/LimeSurvey/LimeSurvey/commit/8cbcced3626651e053d367e9dbc14616aa3689c2#diff-0a1c35bae6575d450a01cc428fdc5c18L4980

And some other was escaped:
- https://github.com/LimeSurvey/LimeSurvey/commit/8cbcced3626651e053d367e9dbc14616aa3689c2#diff-0a1c35bae6575d450a01cc428fdc5c18L6012

Best ?
- Add title for default answer
- Add escaped/stripped for dynamic answer (arry/arry by column)
- Add an updater js function for title in array question type (but best is to have a EM javascriot event here, for 2.1/2.2).

You can give it to me if needed.
c_schmitz

c_schmitz

2014-01-22 16:58

administrator   ~28087

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=13743
c_schmitz

c_schmitz

2014-01-25 17:22

administrator   ~28149

2.05+ Build 140125 released
DenisChenu

DenisChenu

2015-06-04 08:47

developer   ~32286

Last edited: 2015-06-04 14:06

View 3 revisions

Attached survey show broken system.

The title can easily be updated in JS by template
Alternative : remove Expression from answer OR remove answer if there are expresssion.

Actually this broke survey ....

PS : The array with "fixed answer" (Yes/No/Unceratin, Increase/decrease/same) don't have the title (but they can).
PS2: Have a label + title broke accessibility. Have a title in td seems invalid too. Maybe adding tooltip in survey_runtime.js :can do it (easy)

DenisChenu

DenisChenu

2015-06-04 08:47

developer  

DenisChenu

DenisChenu

2015-06-04 08:50

developer  

DenisChenu

DenisChenu

2015-06-04 14:36

developer   ~32289

Close by https://bugs.limesurvey.org/view.php?id=9660
DenisChenu

DenisChenu

2015-06-04 14:46

developer   ~32291

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=15385
DenisChenu

DenisChenu

2015-06-04 14:58

developer   ~32292

Fix committed to 2.06 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=15386

Related Changesets

LimeSurvey: master f0c8fe3e

2014-01-22 15:52:33

c_schmitz

Details Diff
Fixed issue 08554: Hover over answer options no longer showing value Affected Issues
08554
mod - application/helpers/qanda_helper.php Diff File

LimeSurvey: master 4ee5f2e7

2015-06-04 12:46:09

DenisChenu

Details Diff
Fixed issue 09660: Outdated title and broken title in Array question type
Dev: use javascript to fix 08554: Hover over answers no longer showing value
Dev: add title for all array type, maybe remove for Array by column and Array dual scale (dropdown)
Dev: Using existing label ensure is updated with EM
Dev: this don't break screen reader showing 2 times the same text
Affected Issues
08554, 09660
mod - application/helpers/qanda_helper.php Diff File
mod - scripts/survey_runtime.js Diff File

LimeSurvey: 2.06 66b96a6f

2015-06-04 12:58:11

DenisChenu

Details Diff
Fixed issue 08554: Hover over answers no longer showing value
Dev: issue 09660 don't happen in 2.06
Dev: add title for all array type, maybe remove for Array by column and Array dual scale (dropdown)
Dev: Using existing label ensure is updated with EM
Dev: this don't break screen reader showing 2 times the same
Dev: using the function id .ready allow to update it easily in template
Dev: don't use .tooltip : jqueryui.css is really outdated
Affected Issues
08554, 09660
mod - scripts/survey_runtime.js Diff File

Issue History

Date Modified Username Field Change
2014-01-17 20:38 mlhess New Issue
2014-01-17 20:38 mlhess File Added: Screen Shot 2014-01-17 at 2.34.36 PM.png
2014-01-17 21:03 c_schmitz Relationship added related to 06698
2014-01-17 21:04 c_schmitz Note Added: 27972
2014-01-17 21:04 c_schmitz Assigned To => c_schmitz
2014-01-17 21:04 c_schmitz Status new => feedback
2014-01-18 10:37 DenisChenu Note Added: 27982
2014-01-18 10:38 DenisChenu Note Edited: 27982 View Revisions
2014-01-18 10:46 DenisChenu Note Added: 27983
2014-01-22 16:58 c_schmitz Changeset attached => LimeSurvey master f0c8fe3e
2014-01-22 16:58 c_schmitz Note Added: 28087
2014-01-22 16:58 c_schmitz Resolution open => fixed
2014-01-22 16:58 c_schmitz Status feedback => resolved
2014-01-22 16:58 c_schmitz Fixed in Version => 2.05+
2014-01-25 17:22 c_schmitz Note Added: 28149
2014-01-25 17:22 c_schmitz Status resolved => closed
2015-06-04 08:47 DenisChenu Note Added: 32286
2015-06-04 08:47 DenisChenu Status closed => feedback
2015-06-04 08:47 DenisChenu Resolution fixed => reopened
2015-06-04 08:47 DenisChenu File Added: limesurvey_survey_ArrayBrokenTitle.lss
2015-06-04 08:47 DenisChenu Severity minor => partial_block
2015-06-04 08:50 DenisChenu File Added: Capture du 2015-06-04 08:48:15.png
2015-06-04 09:03 DenisChenu Note Edited: 32286 View Revisions
2015-06-04 14:06 DenisChenu Note Edited: 32286 View Revisions
2015-06-04 14:36 DenisChenu Relationship added parent of 09660
2015-06-04 14:36 DenisChenu Note Added: 32289
2015-06-04 14:36 DenisChenu Status feedback => closed
2015-06-04 14:36 DenisChenu Resolution reopened => fixed
2015-06-04 14:46 DenisChenu Changeset attached => LimeSurvey master 4ee5f2e7
2015-06-04 14:46 DenisChenu Note Added: 32291
2015-06-04 14:58 DenisChenu Changeset attached => LimeSurvey 2.06 66b96a6f
2015-06-04 14:58 DenisChenu Note Added: 32292